Subject: [bug#56382] [PATCH] gnu: gajim: Use hicolor-icon-theme to avoid crashing on startup

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 18 Jul 2022 07:21:40 -0400

Hello!

Ludovic Courtès <[email-masked]> writes:

[...]

>>> Right, so the proposed patch (adding ‘hicolor-icon-theme’ to ‘inputs’,
>>> not ‘propagated-inputs’) shouldn’t make any difference I guess?
>>
>> I think it works as inputs because of our wrappers (perhaps
>> XDG_DATA_DIRS)?  But it's kind at odds with our policy which is to let
>> users manage icons themselves.
>
> Yeah.
>
>> Probably because of #20255 that wouldn't help currently (system and user
>> profiles are not merged), but if we fixed that bug we could make the
>> situation better by adding 'hicolor-icon-theme' to the default packages
>> of our desktop system templates.
>
> Right.
>
> BTW, the reason the solution at <https://issues.guix.gnu.org/20255#12>
> was rejected could be revisited.  Since that time, search paths made it
> into the manifest itself, which brings a speed up:
>
> $ sudo sh -c 'echo 3 > /proc/sys/vm/drop_caches '
> $ time guix package -p ~/.guix-home/profile -p /run/current-system/profile --search-paths > /dev/null
>
> real    0m0.540s
> user    0m0.131s
> sys     0m0.063s
> $ time guix package -p ~/.guix-home/profile -p /run/current-system/profile --search-paths > /dev/null
>
> real    0m0.135s
> user    0m0.130s
> sys     0m0.024s
>
> Thoughts?

Re-reading the bug report, we had come up with a blueprint of a possible
solution  but failed short of implementing it [0]

[0]  https://issues.guix.gnu.org/20255#35

Even the --search-paths command become 0.2 s, I don't think it'll
satisfy all parties, so the solution above still has merit, I think.
Perhaps we should try to implement it, unless you see a problem with it.

Thanks,

Maxim